package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaHmMarketingItempoolActivityCreateRequest struct {
	/*
	   创建活动请求入参     */
	Param *domain.AlibabaHmMarketingItempoolActivityCreateItemPoolActivity `json:"param" required:"true" `
}

func (s *AlibabaHmMarketingItempoolActivityCreateRequest) SetParam(v domain.AlibabaHmMarketingItempoolActivityCreateItemPoolActivity) *AlibabaHmMarketingItempoolActivityCreateRequest {
	s.Param = &v
	return s
}

func (req *AlibabaHmMarketingItempoolActivityCreateRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaHmMarketingItempoolActivityCreateRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
